API ReferenceCWT credentials
Format a CWT credential as an Apple Pass
POST
Returns an Apple Pass representation of a provided CWT credential based on an existing Apple Pass template.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_APPLE_PASS_CREATE_STARTCREDENTIAL_COMPACT_APPLE_PASS_CREATE_SUCCESSCREDENTIAL_COMPACT_APPLE_PASS_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <JWT>body*CreateDigitalPassRequestapplication/jsonFormat
objectApple Pass created
response?CreateApplePassResponseapplication/vnd.apple.pkpassThe generated Apple Pass .pkpass file.
Format
binarycurl -X POST 'https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/apple' \ -H 'Content-Type: application/json' \ -d '{ "templateId": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "payload": "{payload}"}'Example Response
"string"How would you rate this page?
Format a CWT credential as a PDF POST
Returns a PDF representation of a provided CWT credential based on an existing PDF template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>
Format a CWT credential as a Google Pass POST
Returns a Google Pass representation of a provided CWT credential based on an existing Google Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>